Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/defaults.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,5 +1,5 @@
 /*!
  * \file defaults.h
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/globals.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,5 +1,5 @@
 /*!
  * \file globals.h
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/mainwindow.cpp	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -380,5 +380,5 @@
 #endif // Q_OS_WIN32
 
-	dlg->resize(480, 400);
+	dlg->resize(450, 400);
 	dlg->exec();
 
@@ -890,11 +890,6 @@
 {
 #ifdef Q_OS_WIN32
+	tabWidget->setDocumentMode(enable);
 	QtWin::enableBlurBehindWindow(this, enable);
-	QtWin::enableBlurBehindWindow(tabWidget, enable);
-
-	if (QtWin::enableBlurBehindWindow(tabTask, enable))
-		tabTask->setAutoFillBackground(enable);
-	if (QtWin::enableBlurBehindWindow(tabSolution, enable))
-		tabSolution->setAutoFillBackground(enable);
 #else
 	Q_UNUSED(enable);
Index: src/os.h
===================================================================
--- src/os.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/os.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,5 +1,5 @@
 /*!
  * \file os.h
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -62,5 +62,5 @@
  * \def OSID
  * \brief The target operating system ID.
- * 
+ *
  * This value is used in task file metadata.
  */
Index: src/pch.h
===================================================================
--- src/pch.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/pch.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -0,0 +1,40 @@
+/*!
+ * \file pch.h
+ * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ *
+ *  $Id$
+ *  $URL$
+ *
+ * \brief Precompiled Header (PCH) file
+ *
+ *  <b>TSPSG: TSP Solver and Generator</b>
+ *
+ *  This file is part of TSPSG.
+ *
+ *  TSPSG is free software: you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation, either version 3 of the License, or
+ *  (at your option) any later version.
+ *
+ *  TSPSG is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with TSPSG.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#ifdef __cplusplus
+	// Qt Libraries
+	#include <QtCore>
+	#include <QtGui>
+	#include <QtSvg>
+
+	// Rarely modified parts
+	#include "version.h"
+	#include "os.h"
+	#ifdef Q_OS_WIN32
+		#include "qtwin.h"
+	#endif // Q_OS_WIN32
+#endif // __cplusplus
Index: src/qtwin.h
===================================================================
--- src/qtwin.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/qtwin.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,10 +1,10 @@
-/****************************************************************************
-**
-** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
-**
-** Use, modification and distribution is allowed without limitation,
-** warranty, liability or support of any kind.
-**
-****************************************************************************/
+/*!
+ * \file qtwin.h
+ *
+ * \author Copyright &copy; 2009 Nokia Corporation and/or its subsidiary(-ies).
+ *
+ *  Use, modification and distribution is allowed without limitation,
+ *  warranty, liability or support of any kind.
+ */
 
 #ifndef QTWIN_H
@@ -13,12 +13,12 @@
 #include <QColor>
 #include <QWidget>
-/**
-  * This is a helper class for using the Desktop Window Manager
-  * functionality on Windows 7 and Windows Vista. On other platforms
-  * these functions will simply not do anything.
-  */
 
 class WindowNotifier;
 
+/*!
+ *  This is a helper class for using the Desktop Window Manager
+ *  functionality on Windows 7 and Windows Vista. On other platforms
+ *  these functions will simply not do anything.
+ */
 class QtWin
 {
Index: src/resource.h
===================================================================
--- src/resource.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/resource.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,5 +1,5 @@
 /*!
  * \file resource.h
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -9,5 +9,5 @@
  *
  *  <b>TSPSG: TSP Solver and Generator</b>
- *  
+ *
  *  This file is part of TSPSG.
  *
Index: src/version.h
===================================================================
--- src/version.h	(revision 162d5c5f94ddb4425bb75f17429259c97476b34c)
+++ src/version.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
@@ -1,5 +1,5 @@
 /*!
  * \file version.h
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -29,8 +29,7 @@
  * \image html tspsg.png
  *  <b>TSPSG: TSP Solver and Generator</b>
- * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  \b Homepage: <a href="http://tspsg.sourceforge.net/">tspsg.sourceforge.net</a>
  *
  *  TSPSG is free software: you can redistribute it and/or modify
@@ -51,10 +50,12 @@
 #define VERSION_H
 
-//! TSPSG version ID
-//#define VERSIONID "$Id$"
-//! Major version of current TSPSG build
-//#define BUILD_VERSION_MAJOR 0
-//! Minor version of current TSPSG build
-//#define BUILD_VERSION_MINOR 1
+#ifndef BUILD_VERSION_MAJOR
+	//! Major version of current TSPSG build
+	#define BUILD_VERSION_MAJOR 0
+#endif // BUILD_VERSION_MAJOR
+#ifndef BUILD_VERSION_MINOR
+	//! Minor version of current TSPSG build
+	#define BUILD_VERSION_MINOR 0
+#endif // BUILD_VERSION_MINOR
 /*!
  * \brief TSPSG release number
@@ -66,5 +67,7 @@
  *    - 11 --  x: <b>release</b> 1 to x-10
  */
-//#define BUILD_RELEASE 2
+#ifndef BUILD_RELEASE
+	#define BUILD_RELEASE 0
+#endif // BUILD_RELEASE
 
 /*!
@@ -73,5 +76,7 @@
  *  This will only change on releases and will be the same as revision number.
  */
-//#define BUILD_NUMBER 65535
+#ifndef BUILD_NUMBER
+	#define BUILD_NUMBER 0
+#endif // BUILD_NUMBER
 
 /*!
@@ -83,14 +88,10 @@
 #ifndef TSPSG_RELEASE_BUILD
 	#define BUILD_STATUS (dev build)
-#else
-	#if BUILD_RELEASE < 4
-		#define BUILD_STATUS (alpha)
-	#elif BUILD_RELEASE < 8
-		#define BUILD_STATUS (beta)
-	#elif BUILD_RELEASE < 11
-		#define BUILD_STATUS (rc)
-//	#else
-//		#define BUILD_STATUS
-	#endif
+#elif BUILD_RELEASE < 4
+	#define BUILD_STATUS (alpha)
+#elif BUILD_RELEASE < 8
+	#define BUILD_STATUS (beta)
+#elif BUILD_RELEASE < 11
+	#define BUILD_STATUS (rc)
 #endif // TSPSG_RELEASE_BUILD
 
@@ -102,5 +103,5 @@
 /*!
  * \def BUILD_VERSION
- * \brief Full version of TSPSG in the form: \c major.\c minor.\c release.\c build [ \c status].
+ * \brief Full version of TSPSG in the form: \c major.minor.release.build [\c status].
  */
 #ifndef BUILD_STATUS
